# Retrieve cPanel account's log archival settings

This function retrieves the account's log archival settings.

Endpoint: GET /LogManager/get_settings
Version: 11.136.0.13
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_settings"

  - `module` (string)
    The name of the module called.
    Example: "LogManager"

  - `result` (object)

  - `result.data` (object)

  - `result.data.archive_logs` (integer)
    Whether the system archives log files to your home directory.
* 1 — Archives the logs.
* 0 — Does not archive the logs.
    Enum: 1, 0

  - `result.data.prune_archive` (integer)
    Whether the system removes the previous month's archived log files from your home directory.
* 1 — Removes the logs.
* 0 — Does not remove the logs.
    Enum: 1, 0

  - `result.data.retention_days` (integer)
    The number of days the system retains archived log files before automatic removal.
A value of 0 means the system retains logs indefinitely.
When the user has not set a custom value, this returns the server-wide default.
    Example: 30

  - `result.data.using_default` (integer)
    Whether the user uses the server-wide default retention period.
* 1 — Uses the server default.
* 0 — Uses a custom retention value.
    Enum: 1, 0

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


